Dedicated Inference
Validated on 9 Oct 2024 • Last edited on 23 Mar 2026
Dedicated Inference delivers scalable production-grade LLM hosting on DigitalOcean. Create, list, get, update, and delete Dedicated Inference instances; manage accelerators, CA certificate, sizes, GPU model config, and access tokens.
https://api.digitalocean.com
Endpoints
GET List Dedicated Inferences
/v2/dedicated-inferences
Authorizations:
bearer_auth
(1 scope)
OAuth Authentication
In order to interact with the DigitalOcean API, you or your application must authenticate.
The DigitalOcean API handles this through OAuth, an open standard for authorization. OAuth allows you to delegate access to your account. Scopes can be used to grant full access, read-only access, or access to a specific set of endpoints.
You can generate an OAuth token by visiting the Apps & API section of the DigitalOcean control panel for your account.
An OAuth token functions as a complete authentication request. In effect, it acts as a substitute for a username and password pair.
Because of this, it is absolutely essential that you keep your OAuth tokens secure. In fact, upon generation, the web interface will only display each token a single time in order to prevent the token from being compromised.
DigitalOcean access tokens begin with an identifiable prefix in order to distinguish them from other similar tokens.
dop_v1_for personal access tokens generated in the control paneldoo_v1_for tokens generated by applications using the OAuth flowdor_v1_for OAuth refresh tokens
Scopes
Scopes act like permissions assigned to an API token. These permissions determine what actions the token can perform. You can create API tokens that grant read-only access, full access, or limited access to specific endpoints by using custom scopes.
Generally, scopes are designed to match HTTP verbs and common CRUD operations (Create, Read, Update, Delete).
| HTTP Verb | CRUD Operation | Scope |
|---|---|---|
| GET | Read | <resource>:read |
| POST | Create | <resource>:create |
| PUT/PATCH | Update | <resource>:update |
| DELETE | Delete | <resource>:delete |
For example, creating a new Droplet by making a POST request to the
/v2/droplets endpoint requires the droplet:create scope while
listing Droplets by making a GET request to the /v2/droplets
endpoint requires the droplet:read scope.
Each endpoint below specifies which scope is required to access it when using custom scopes.
How to Authenticate with OAuth
In order to make an authenticated request, include a bearer-type
Authorization header containing your OAuth token. All requests must be
made over HTTPS.
Authenticate with a Bearer Authorization Header
curl -X $HTTP_METHOD -H "Authorization: Bearer $DIGITALOCEAN_TOKEN" "https://api.digitalocean.com/v2/$OBJECT"
List all Dedicated Inference instances for your team. Send a GET request to
/v2/dedicated-inferences. You may filter by region and use page and per_page
for pagination.
Query Parameters
per_page
1 – 200 optional
2Number of items returned per page
Default:20page
>= 1 optional
1Which 'page' of paginated results to return.
Default:1region
optional
atl1Filter by region. Dedicated Inference is only available in nyc2, tor1, and atl1.
Request: /v2/dedicated-inferences
curl -i -X GET "https://api.digitalocean.com/v2/dedicated-inferences?region=nyc2&page=1&per_page=20" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $DO_TOKEN"Responses
200
The response will be a JSON object with a key called dedicated_inferences. This will be set to an array of objects, each of which will contain the standard attributes associated with a Dedicated Inference. Pagination uses the same links and meta structure as other list endpoints.
dedicated_inferences. This will be set to an array of objects, each of which will contain the standard attributes associated with a Dedicated Inference. Pagination uses the same links and meta structure as other list endpoints.ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
dedicated_inferences
required
Array of Dedicated Inference instances.
Show child properties
created_at
optional read-only
2024-01-09T20:44:32ZWhen the Dedicated Inference was created.
endpoints
optional read-only
Show child properties
private_endpoint_fqdn
optional
https://b4bfug4jc41kts2ro54if91eo-private-dedicated-inference.do-infra.aiPrivate VPC FQDN of the Dedicated Inference instance.
public_endpoint_fqdn
optional
https://b4bfug4jc41kts2ro54if91eo-public-dedicated-inference.do-infra.aiPublic FQDN of the Dedicated Inference instance.
id
optional read-only
6b5c619c-359c-44ca-87e2-47e98170c01dUnique ID of the Dedicated Inference.
pending_deployment_spec
optional
Pending deployment when status is provisioning or updating.
Show child properties
created_at
optional
2024-01-09T20:44:32Zenable_public_endpoint
optional
Whether to expose a public LLM endpoint.
id
optional
7c6d729d-360d-44db-88e3-58e98281d12eDeployment UUID.
model_deployments
optional
At least one model deployment is required.
Show child properties
accelerators
optional
Accelerator configuration for this deployment.
model_id
optional
Used to identify an existing deployment when updating; empty means create new.
model_provider
optional
hugging_faceModel provider.
model_slug
optional
mistral/mistral-7b-instruct-v3Model identifier (e.g. Hugging Face slug).
workload_config
optional
Workload-specific configuration (e.g. ISL/OSL in future).
name
optional
new-dedicated-inferenceName of the Dedicated Inference. Must be unique within the team.
status
optional
provisioningupdated_at
optional
2024-01-09T20:44:32Zversion
optional
1Spec version.
vpc
optional
Show child properties
uuid
required
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID for the Dedicated Inference.
region
optional read-only
atl1DigitalOcean region where the Dedicated Inference is hosted.
spec
optional
Structured configuration for a Dedicated Inference deployment.
Show child properties
enable_public_endpoint
required
Whether to expose a public LLM endpoint.
model_deployments
required
At least one model deployment is required.
Show child properties
accelerators
optional
Accelerator configuration for this deployment.
model_id
optional
Used to identify an existing deployment when updating; empty means create new.
model_provider
optional
hugging_faceModel provider.
model_slug
optional
mistral/mistral-7b-instruct-v3Model identifier (e.g. Hugging Face slug).
workload_config
optional
Workload-specific configuration (e.g. ISL/OSL in future).
name
required
new-dedicated-inferenceName of the Dedicated Inference. Must be unique within the team.
region
required
atl1DigitalOcean region where the Dedicated Inference is hosted.
version
required
1Spec version.
vpc
required
Show child properties
uuid
required
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID for the Dedicated Inference.
status
optional read-only
activeCurrent state of the Dedicated Inference.
updated_at
optional read-only
2024-01-09T20:44:32ZWhen the Dedicated Inference was last updated.
vpc_uuid
optional read-only
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID of the Dedicated Inference.
links
required
Show child properties
pages
optional
Pagination links (first, prev, next, last).
Show child properties
(additional properties)
optional
Additional properties are allowed.
meta
required
Show child properties
total
required
1Total number of results.
401
Authentication failed due to invalid credentials.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
429
The API rate limit has been exceeded.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
500
There was a server error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
default
There was an unexpected error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
Response
{
"dedicated_inferences": [
{
"created_at": "2024-01-09T20:44:32Z",
"endpoints": {
"private_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-private-dedicated-inference.do-infra.ai",
"public_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-public-dedicated-inference.do-infra.ai"
},
"id": "6b5c619c-359c-44ca-87e2-47e98170c01d",
"region": "atl1",
"status": "active",
"updated_at": "2024-01-09T20:44:32Z",
"vpc_uuid": "997615ce-132d-4bae-9270-9ee21b395e5d"
}
],
"links": {
"pages": {
"first": "https://api.digitalocean.com/v2/dedicated-inferences?page=1\u0026per_page=20",
"last": "https://api.digitalocean.com/v2/dedicated-inferences?page=1\u0026per_page=20"
}
},
"meta": {
"total": 1
}
}{
"id": "unauthorized",
"message": "Unable to authenticate you."
}{
"id": "too_many_requests",
"message": "API rate limit exceeded."
}{
"id": "server_error",
"message": "Unexpected server-side error"
}{
"id": "example_error",
"message": "some error message"
}POST Create a Dedicated Inference
/v2/dedicated-inferences
Authorizations:
bearer_auth
(1 scope)
OAuth Authentication
In order to interact with the DigitalOcean API, you or your application must authenticate.
The DigitalOcean API handles this through OAuth, an open standard for authorization. OAuth allows you to delegate access to your account. Scopes can be used to grant full access, read-only access, or access to a specific set of endpoints.
You can generate an OAuth token by visiting the Apps & API section of the DigitalOcean control panel for your account.
An OAuth token functions as a complete authentication request. In effect, it acts as a substitute for a username and password pair.
Because of this, it is absolutely essential that you keep your OAuth tokens secure. In fact, upon generation, the web interface will only display each token a single time in order to prevent the token from being compromised.
DigitalOcean access tokens begin with an identifiable prefix in order to distinguish them from other similar tokens.
dop_v1_for personal access tokens generated in the control paneldoo_v1_for tokens generated by applications using the OAuth flowdor_v1_for OAuth refresh tokens
Scopes
Scopes act like permissions assigned to an API token. These permissions determine what actions the token can perform. You can create API tokens that grant read-only access, full access, or limited access to specific endpoints by using custom scopes.
Generally, scopes are designed to match HTTP verbs and common CRUD operations (Create, Read, Update, Delete).
| HTTP Verb | CRUD Operation | Scope |
|---|---|---|
| GET | Read | <resource>:read |
| POST | Create | <resource>:create |
| PUT/PATCH | Update | <resource>:update |
| DELETE | Delete | <resource>:delete |
For example, creating a new Droplet by making a POST request to the
/v2/droplets endpoint requires the droplet:create scope while
listing Droplets by making a GET request to the /v2/droplets
endpoint requires the droplet:read scope.
Each endpoint below specifies which scope is required to access it when using custom scopes.
How to Authenticate with OAuth
In order to make an authenticated request, include a bearer-type
Authorization header containing your OAuth token. All requests must be
made over HTTPS.
Authenticate with a Bearer Authorization Header
curl -X $HTTP_METHOD -H "Authorization: Bearer $DIGITALOCEAN_TOKEN" "https://api.digitalocean.com/v2/$OBJECT"
Create a new Dedicated Inference for your team. Send a POST request to
/v2/dedicated-inferences with a spec object (version, name, region, vpc,
enable_public_endpoint, model_deployments) and optional access_tokens (e.g.
hugging_face_token for gated models). The response code 202 Accepted indicates
the request was accepted for processing; it does not indicate success or failure.
The token value is returned only on create; store it securely.
Request Body: application/json
access_tokens
optional
{"hugging_face_token":"$HF_TOKEN"}Key-value pairs for provider tokens (e.g. Hugging Face).
Show child properties
(additional properties)
optional
Additional properties are allowed.
spec
required
Structured configuration for a Dedicated Inference deployment.
Show child properties
enable_public_endpoint
required
Whether to expose a public LLM endpoint.
model_deployments
required
At least one model deployment is required.
Show child properties
accelerators
optional
Accelerator configuration for this deployment.
Show child properties
accelerator_slug
required
gpu-mi300x1-192gbDigitalOcean GPU slug.
scale
required
1Number of accelerator instances.
status
optional read-only
activeCurrent state of the Accelerator.
type
required
prefill_decodeAccelerator type (e.g. prefill_decode).
model_id
optional
Used to identify an existing deployment when updating; empty means create new.
model_provider
optional
hugging_faceModel provider.
model_slug
optional
mistral/mistral-7b-instruct-v3Model identifier (e.g. Hugging Face slug).
workload_config
optional
Workload-specific configuration (e.g. ISL/OSL in future).
name
required
new-dedicated-inferenceName of the Dedicated Inference. Must be unique within the team.
region
required
atl1DigitalOcean region where the Dedicated Inference is hosted.
version
required
1Spec version.
vpc
required
Show child properties
uuid
required
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID for the Dedicated Inference.
Request: /v2/dedicated-inferences
{
"access_tokens": {
"hugging_face_token": "$HF_TOKEN"
},
"spec": {
"enable_public_endpoint": true,
"model_deployments": [],
"name": "new-dedicated-inference",
"region": "atl1",
"version": 1,
"vpc": {
"uuid": "997615ce-132d-4bae-9270-9ee21b395e5d"
}
}
}curl -i -X POST "https://api.digitalocean.com/v2/dedicated-inferences" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $DO_TOKEN" \
-d '{
"spec": {
"version": 1,
"name": "new-dedicated-inference",
"region": "atl1",
"vpc": { "uuid": "7e5c619c-359c-44ca-87e2-47e98170c012" },
"enable_public_endpoint": true,
"model_deployments": [{
"model_slug": "mistral/mistral-7b-instruct-v3",
"model_provider": "hugging_face",
"workload_config": {},
"accelerators": [{
"scale": 2,
"type": "prefill_decode",
"accelerator_slug": "gpu-mi300x1-192gb"
}]
}]
},
"access_tokens": { "hugging_face_token": "$HF_TOKEN" }
}'Responses
202
Dedicated Inference create/update accepted for processing (202). Success or failure is not indicated by the response code.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
dedicated_inference
optional
A Dedicated Inference instance.
Show child properties
created_at
optional read-only
2024-01-09T20:44:32ZWhen the Dedicated Inference was created.
endpoints
optional read-only
Show child properties
private_endpoint_fqdn
optional
https://b4bfug4jc41kts2ro54if91eo-private-dedicated-inference.do-infra.aiPrivate VPC FQDN of the Dedicated Inference instance.
public_endpoint_fqdn
optional
https://b4bfug4jc41kts2ro54if91eo-public-dedicated-inference.do-infra.aiPublic FQDN of the Dedicated Inference instance.
id
optional read-only
6b5c619c-359c-44ca-87e2-47e98170c01dUnique ID of the Dedicated Inference.
pending_deployment_spec
optional
Pending deployment when status is provisioning or updating.
Show child properties
created_at
optional
2024-01-09T20:44:32Zenable_public_endpoint
optional
Whether to expose a public LLM endpoint.
id
optional
7c6d729d-360d-44db-88e3-58e98281d12eDeployment UUID.
model_deployments
optional
At least one model deployment is required.
Show child properties
accelerators
optional
Accelerator configuration for this deployment.
model_id
optional
Used to identify an existing deployment when updating; empty means create new.
model_provider
optional
hugging_faceModel provider.
model_slug
optional
mistral/mistral-7b-instruct-v3Model identifier (e.g. Hugging Face slug).
workload_config
optional
Workload-specific configuration (e.g. ISL/OSL in future).
name
optional
new-dedicated-inferenceName of the Dedicated Inference. Must be unique within the team.
status
optional
provisioningupdated_at
optional
2024-01-09T20:44:32Zversion
optional
1Spec version.
vpc
optional
Show child properties
uuid
required
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID for the Dedicated Inference.
region
optional read-only
atl1DigitalOcean region where the Dedicated Inference is hosted.
spec
optional
Structured configuration for a Dedicated Inference deployment.
Show child properties
enable_public_endpoint
required
Whether to expose a public LLM endpoint.
model_deployments
required
At least one model deployment is required.
Show child properties
accelerators
optional
Accelerator configuration for this deployment.
model_id
optional
Used to identify an existing deployment when updating; empty means create new.
model_provider
optional
hugging_faceModel provider.
model_slug
optional
mistral/mistral-7b-instruct-v3Model identifier (e.g. Hugging Face slug).
workload_config
optional
Workload-specific configuration (e.g. ISL/OSL in future).
name
required
new-dedicated-inferenceName of the Dedicated Inference. Must be unique within the team.
region
required
atl1DigitalOcean region where the Dedicated Inference is hosted.
version
required
1Spec version.
vpc
required
Show child properties
uuid
required
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID for the Dedicated Inference.
status
optional read-only
activeCurrent state of the Dedicated Inference.
updated_at
optional read-only
2024-01-09T20:44:32ZWhen the Dedicated Inference was last updated.
vpc_uuid
optional read-only
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID of the Dedicated Inference.
token
optional
Access token for authenticating to Dedicated Inference endpoints.
Show child properties
created_at
optional read-only
2024-01-09T20:44:32Zid
optional read-only
01333f14-a903-4b8e-92b3-363a767aa052Unique ID of the token.
name
optional read-only
first-tokenName of the token.
value
optional read-only
di_xxxxxxxxxxxxxxxxxxxxxxxxToken value; only returned once on create. Store securely.
401
Authentication failed due to invalid credentials.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
429
The API rate limit has been exceeded.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
500
There was a server error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
default
There was an unexpected error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
Response
{
"dedicated_inference": {
"created_at": "2024-01-09T20:44:32Z",
"endpoints": {
"private_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-private-dedicated-inference.do-infra.ai",
"public_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-public-dedicated-inference.do-infra.ai"
},
"id": "6b5c619c-359c-44ca-87e2-47e98170c01d",
"pending_deployment_spec": {
"created_at": "2024-01-09T20:44:32Z",
"enable_public_endpoint": true,
"id": "7c6d729d-360d-44db-88e3-58e98281d12e",
"model_deployments": [],
"name": "new-dedicated-inference",
"status": "provisioning",
"updated_at": "2024-01-09T20:44:32Z",
"version": 1
},
"region": "atl1",
"spec": {
"enable_public_endpoint": true,
"model_deployments": [],
"name": "new-dedicated-inference",
"region": "atl1",
"version": 1
},
"status": "active",
"updated_at": "2024-01-09T20:44:32Z",
"vpc_uuid": "997615ce-132d-4bae-9270-9ee21b395e5d"
},
"token": {
"created_at": "2024-01-09T20:44:32Z",
"id": "01333f14-a903-4b8e-92b3-363a767aa052",
"name": "first-token",
"value": "di_xxxxxxxxxxxxxxxxxxxxxxxx"
}
}{
"id": "unauthorized",
"message": "Unable to authenticate you."
}{
"id": "too_many_requests",
"message": "API rate limit exceeded."
}{
"id": "server_error",
"message": "Unexpected server-side error"
}{
"id": "example_error",
"message": "some error message"
}GET Get Dedicated Inference GPU Model Config
/v2/dedicated-inferences/gpu-model-config
Authorizations:
bearer_auth
(1 scope)
OAuth Authentication
In order to interact with the DigitalOcean API, you or your application must authenticate.
The DigitalOcean API handles this through OAuth, an open standard for authorization. OAuth allows you to delegate access to your account. Scopes can be used to grant full access, read-only access, or access to a specific set of endpoints.
You can generate an OAuth token by visiting the Apps & API section of the DigitalOcean control panel for your account.
An OAuth token functions as a complete authentication request. In effect, it acts as a substitute for a username and password pair.
Because of this, it is absolutely essential that you keep your OAuth tokens secure. In fact, upon generation, the web interface will only display each token a single time in order to prevent the token from being compromised.
DigitalOcean access tokens begin with an identifiable prefix in order to distinguish them from other similar tokens.
dop_v1_for personal access tokens generated in the control paneldoo_v1_for tokens generated by applications using the OAuth flowdor_v1_for OAuth refresh tokens
Scopes
Scopes act like permissions assigned to an API token. These permissions determine what actions the token can perform. You can create API tokens that grant read-only access, full access, or limited access to specific endpoints by using custom scopes.
Generally, scopes are designed to match HTTP verbs and common CRUD operations (Create, Read, Update, Delete).
| HTTP Verb | CRUD Operation | Scope |
|---|---|---|
| GET | Read | <resource>:read |
| POST | Create | <resource>:create |
| PUT/PATCH | Update | <resource>:update |
| DELETE | Delete | <resource>:delete |
For example, creating a new Droplet by making a POST request to the
/v2/droplets endpoint requires the droplet:create scope while
listing Droplets by making a GET request to the /v2/droplets
endpoint requires the droplet:read scope.
Each endpoint below specifies which scope is required to access it when using custom scopes.
How to Authenticate with OAuth
In order to make an authenticated request, include a bearer-type
Authorization header containing your OAuth token. All requests must be
made over HTTPS.
Authenticate with a Bearer Authorization Header
curl -X $HTTP_METHOD -H "Authorization: Bearer $DIGITALOCEAN_TOKEN" "https://api.digitalocean.com/v2/$OBJECT"
Get supported GPU and model configurations for Dedicated Inference. Use this to
discover supported GPU slugs and model slugs (e.g. Hugging Face). Send a GET
request to /v2/dedicated-inferences/gpu-model-config.
Request: /v2/dedicated-inferences/gpu-model-config
curl -i -X GET "https://api.digitalocean.com/v2/dedicated-inferences/gpu-model-config" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $DO_TOKEN"Responses
200
GPU model configs (gpu_slugs, model_slug, model_name, is_gated_model).
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
gpu_model_configs
optional
Show child properties
gpu_slugs
optional
["gpu-mi300x1-192gb"]is_gated_model
optional
Whether the model requires gated access (e.g. Hugging Face token).
model_name
optional
Mistral-7B-Instruct-v0.3model_slug
optional
mistral/mistral-7b-instruct-v3
401
Authentication failed due to invalid credentials.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
429
The API rate limit has been exceeded.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
500
There was a server error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
default
There was an unexpected error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
Response
{
"gpu_model_configs": [
{
"gpu_slugs": [
"gpu-mi300x1-192gb"
],
"is_gated_model": true,
"model_name": "Mistral-7B-Instruct-v0.3",
"model_slug": "mistral/mistral-7b-instruct-v3"
}
]
}{
"id": "unauthorized",
"message": "Unable to authenticate you."
}{
"id": "too_many_requests",
"message": "API rate limit exceeded."
}{
"id": "server_error",
"message": "Unexpected server-side error"
}{
"id": "example_error",
"message": "some error message"
}GET List Dedicated Inference Sizes
/v2/dedicated-inferences/sizes
Authorizations:
bearer_auth
(1 scope)
OAuth Authentication
In order to interact with the DigitalOcean API, you or your application must authenticate.
The DigitalOcean API handles this through OAuth, an open standard for authorization. OAuth allows you to delegate access to your account. Scopes can be used to grant full access, read-only access, or access to a specific set of endpoints.
You can generate an OAuth token by visiting the Apps & API section of the DigitalOcean control panel for your account.
An OAuth token functions as a complete authentication request. In effect, it acts as a substitute for a username and password pair.
Because of this, it is absolutely essential that you keep your OAuth tokens secure. In fact, upon generation, the web interface will only display each token a single time in order to prevent the token from being compromised.
DigitalOcean access tokens begin with an identifiable prefix in order to distinguish them from other similar tokens.
dop_v1_for personal access tokens generated in the control paneldoo_v1_for tokens generated by applications using the OAuth flowdor_v1_for OAuth refresh tokens
Scopes
Scopes act like permissions assigned to an API token. These permissions determine what actions the token can perform. You can create API tokens that grant read-only access, full access, or limited access to specific endpoints by using custom scopes.
Generally, scopes are designed to match HTTP verbs and common CRUD operations (Create, Read, Update, Delete).
| HTTP Verb | CRUD Operation | Scope |
|---|---|---|
| GET | Read | <resource>:read |
| POST | Create | <resource>:create |
| PUT/PATCH | Update | <resource>:update |
| DELETE | Delete | <resource>:delete |
For example, creating a new Droplet by making a POST request to the
/v2/droplets endpoint requires the droplet:create scope while
listing Droplets by making a GET request to the /v2/droplets
endpoint requires the droplet:read scope.
Each endpoint below specifies which scope is required to access it when using custom scopes.
How to Authenticate with OAuth
In order to make an authenticated request, include a bearer-type
Authorization header containing your OAuth token. All requests must be
made over HTTPS.
Authenticate with a Bearer Authorization Header
curl -X $HTTP_METHOD -H "Authorization: Bearer $DIGITALOCEAN_TOKEN" "https://api.digitalocean.com/v2/$OBJECT"
Get available Dedicated Inference sizes and pricing for supported GPUs. Send a
GET request to /v2/dedicated-inferences/sizes.
Request: /v2/dedicated-inferences/sizes
curl -i -X GET "https://api.digitalocean.com/v2/dedicated-inferences/sizes" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $DO_TOKEN"Responses
200
Enabled regions and sizes with pricing.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
enabled_regions
optional
["nyc2","atl1"]Regions where Dedicated Inference is available.
sizes
optional
Show child properties
currency
optional
USDgpu_slug
optional
gpu-mi300x1-192gbprice_per_hour
optional
2region
optional
nyc2
401
Authentication failed due to invalid credentials.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
429
The API rate limit has been exceeded.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
500
There was a server error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
default
There was an unexpected error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
Response
{
"enabled_regions": [
"nyc2",
"atl1"
],
"sizes": [
{
"currency": "USD",
"gpu_slug": "gpu-mi300x1-192gb",
"price_per_hour": "2",
"region": "nyc2"
}
]
}{
"id": "unauthorized",
"message": "Unable to authenticate you."
}{
"id": "too_many_requests",
"message": "API rate limit exceeded."
}{
"id": "server_error",
"message": "Unexpected server-side error"
}{
"id": "example_error",
"message": "some error message"
}GET Get a Dedicated Inference
/v2/dedicated-inferences/{dedicated_inference_id}
Authorizations:
bearer_auth
(1 scope)
OAuth Authentication
In order to interact with the DigitalOcean API, you or your application must authenticate.
The DigitalOcean API handles this through OAuth, an open standard for authorization. OAuth allows you to delegate access to your account. Scopes can be used to grant full access, read-only access, or access to a specific set of endpoints.
You can generate an OAuth token by visiting the Apps & API section of the DigitalOcean control panel for your account.
An OAuth token functions as a complete authentication request. In effect, it acts as a substitute for a username and password pair.
Because of this, it is absolutely essential that you keep your OAuth tokens secure. In fact, upon generation, the web interface will only display each token a single time in order to prevent the token from being compromised.
DigitalOcean access tokens begin with an identifiable prefix in order to distinguish them from other similar tokens.
dop_v1_for personal access tokens generated in the control paneldoo_v1_for tokens generated by applications using the OAuth flowdor_v1_for OAuth refresh tokens
Scopes
Scopes act like permissions assigned to an API token. These permissions determine what actions the token can perform. You can create API tokens that grant read-only access, full access, or limited access to specific endpoints by using custom scopes.
Generally, scopes are designed to match HTTP verbs and common CRUD operations (Create, Read, Update, Delete).
| HTTP Verb | CRUD Operation | Scope |
|---|---|---|
| GET | Read | <resource>:read |
| POST | Create | <resource>:create |
| PUT/PATCH | Update | <resource>:update |
| DELETE | Delete | <resource>:delete |
For example, creating a new Droplet by making a POST request to the
/v2/droplets endpoint requires the droplet:create scope while
listing Droplets by making a GET request to the /v2/droplets
endpoint requires the droplet:read scope.
Each endpoint below specifies which scope is required to access it when using custom scopes.
How to Authenticate with OAuth
In order to make an authenticated request, include a bearer-type
Authorization header containing your OAuth token. All requests must be
made over HTTPS.
Authenticate with a Bearer Authorization Header
curl -X $HTTP_METHOD -H "Authorization: Bearer $DIGITALOCEAN_TOKEN" "https://api.digitalocean.com/v2/$OBJECT"
Retrieve an existing Dedicated Inference by ID. Send a GET request to
/v2/dedicated-inferences/{dedicated_inference_id}. The status in the response
is one of active, new, provisioning, updating, deleting, or error.
Path Parameters
dedicated_inference_id
required
6b5c619c-359c-44ca-87e2-47e98170c01dA unique identifier for a Dedicated Inference instance.
Request: /v2/dedicated-inferences/{dedicated_inference_id}
curl -i -X GET "https://api.digitalocean.com/v2/dedicated-inferences/6b5c619c-359c-44ca-87e2-47e98170c01d" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $DO_TOKEN"Responses
200
Response containing a single Dedicated Inference instance.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
dedicated_inference
optional
A Dedicated Inference instance.
Show child properties
created_at
optional read-only
2024-01-09T20:44:32ZWhen the Dedicated Inference was created.
endpoints
optional read-only
Show child properties
private_endpoint_fqdn
optional
https://b4bfug4jc41kts2ro54if91eo-private-dedicated-inference.do-infra.aiPrivate VPC FQDN of the Dedicated Inference instance.
public_endpoint_fqdn
optional
https://b4bfug4jc41kts2ro54if91eo-public-dedicated-inference.do-infra.aiPublic FQDN of the Dedicated Inference instance.
id
optional read-only
6b5c619c-359c-44ca-87e2-47e98170c01dUnique ID of the Dedicated Inference.
pending_deployment_spec
optional
Pending deployment when status is provisioning or updating.
Show child properties
created_at
optional
2024-01-09T20:44:32Zenable_public_endpoint
optional
Whether to expose a public LLM endpoint.
id
optional
7c6d729d-360d-44db-88e3-58e98281d12eDeployment UUID.
model_deployments
optional
At least one model deployment is required.
Show child properties
accelerators
optional
Accelerator configuration for this deployment.
model_id
optional
Used to identify an existing deployment when updating; empty means create new.
model_provider
optional
hugging_faceModel provider.
model_slug
optional
mistral/mistral-7b-instruct-v3Model identifier (e.g. Hugging Face slug).
workload_config
optional
Workload-specific configuration (e.g. ISL/OSL in future).
name
optional
new-dedicated-inferenceName of the Dedicated Inference. Must be unique within the team.
status
optional
provisioningupdated_at
optional
2024-01-09T20:44:32Zversion
optional
1Spec version.
vpc
optional
Show child properties
uuid
required
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID for the Dedicated Inference.
region
optional read-only
atl1DigitalOcean region where the Dedicated Inference is hosted.
spec
optional
Structured configuration for a Dedicated Inference deployment.
Show child properties
enable_public_endpoint
required
Whether to expose a public LLM endpoint.
model_deployments
required
At least one model deployment is required.
Show child properties
accelerators
optional
Accelerator configuration for this deployment.
model_id
optional
Used to identify an existing deployment when updating; empty means create new.
model_provider
optional
hugging_faceModel provider.
model_slug
optional
mistral/mistral-7b-instruct-v3Model identifier (e.g. Hugging Face slug).
workload_config
optional
Workload-specific configuration (e.g. ISL/OSL in future).
name
required
new-dedicated-inferenceName of the Dedicated Inference. Must be unique within the team.
region
required
atl1DigitalOcean region where the Dedicated Inference is hosted.
version
required
1Spec version.
vpc
required
Show child properties
uuid
required
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID for the Dedicated Inference.
status
optional read-only
activeCurrent state of the Dedicated Inference.
updated_at
optional read-only
2024-01-09T20:44:32ZWhen the Dedicated Inference was last updated.
vpc_uuid
optional read-only
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID of the Dedicated Inference.
401
Authentication failed due to invalid credentials.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
404
The resource was not found.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
429
The API rate limit has been exceeded.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
500
There was a server error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
default
There was an unexpected error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
Response
{
"dedicated_inference": {
"created_at": "2024-01-09T20:44:32Z",
"endpoints": {
"private_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-private-dedicated-inference.do-infra.ai",
"public_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-public-dedicated-inference.do-infra.ai"
},
"id": "6b5c619c-359c-44ca-87e2-47e98170c01d",
"region": "atl1",
"status": "active",
"updated_at": "2024-01-09T20:44:32Z",
"vpc_uuid": "997615ce-132d-4bae-9270-9ee21b395e5d"
}
}{
"id": "unauthorized",
"message": "Unable to authenticate you."
}{
"id": "not_found",
"message": "The resource you requested could not be found."
}{
"id": "too_many_requests",
"message": "API rate limit exceeded."
}{
"id": "server_error",
"message": "Unexpected server-side error"
}{
"id": "example_error",
"message": "some error message"
}PATCH Update a Dedicated Inference
/v2/dedicated-inferences/{dedicated_inference_id}
Authorizations:
bearer_auth
(1 scope)
OAuth Authentication
In order to interact with the DigitalOcean API, you or your application must authenticate.
The DigitalOcean API handles this through OAuth, an open standard for authorization. OAuth allows you to delegate access to your account. Scopes can be used to grant full access, read-only access, or access to a specific set of endpoints.
You can generate an OAuth token by visiting the Apps & API section of the DigitalOcean control panel for your account.
An OAuth token functions as a complete authentication request. In effect, it acts as a substitute for a username and password pair.
Because of this, it is absolutely essential that you keep your OAuth tokens secure. In fact, upon generation, the web interface will only display each token a single time in order to prevent the token from being compromised.
DigitalOcean access tokens begin with an identifiable prefix in order to distinguish them from other similar tokens.
dop_v1_for personal access tokens generated in the control paneldoo_v1_for tokens generated by applications using the OAuth flowdor_v1_for OAuth refresh tokens
Scopes
Scopes act like permissions assigned to an API token. These permissions determine what actions the token can perform. You can create API tokens that grant read-only access, full access, or limited access to specific endpoints by using custom scopes.
Generally, scopes are designed to match HTTP verbs and common CRUD operations (Create, Read, Update, Delete).
| HTTP Verb | CRUD Operation | Scope |
|---|---|---|
| GET | Read | <resource>:read |
| POST | Create | <resource>:create |
| PUT/PATCH | Update | <resource>:update |
| DELETE | Delete | <resource>:delete |
For example, creating a new Droplet by making a POST request to the
/v2/droplets endpoint requires the droplet:create scope while
listing Droplets by making a GET request to the /v2/droplets
endpoint requires the droplet:read scope.
Each endpoint below specifies which scope is required to access it when using custom scopes.
How to Authenticate with OAuth
In order to make an authenticated request, include a bearer-type
Authorization header containing your OAuth token. All requests must be
made over HTTPS.
Authenticate with a Bearer Authorization Header
curl -X $HTTP_METHOD -H "Authorization: Bearer $DIGITALOCEAN_TOKEN" "https://api.digitalocean.com/v2/$OBJECT"
Update an existing Dedicated Inference. Send a PATCH request to
/v2/dedicated-inferences/{dedicated_inference_id} with updated spec and/or
access_tokens. Status will move to updating and return to active when done.
Path Parameters
dedicated_inference_id
required
6b5c619c-359c-44ca-87e2-47e98170c01dA unique identifier for a Dedicated Inference instance.
Request Body: application/json
access_tokens
optional
Provider tokens for model access (e.g. gated Hugging Face models).
Show child properties
hugging_face_token
optional
$HF_TOKENHugging Face token required for gated models.
spec
optional
Structured configuration for a Dedicated Inference deployment.
Show child properties
enable_public_endpoint
required
Whether to expose a public LLM endpoint.
model_deployments
required
At least one model deployment is required.
Show child properties
accelerators
optional
Accelerator configuration for this deployment.
Show child properties
accelerator_slug
required
gpu-mi300x1-192gbDigitalOcean GPU slug.
scale
required
1Number of accelerator instances.
status
optional read-only
activeCurrent state of the Accelerator.
type
required
prefill_decodeAccelerator type (e.g. prefill_decode).
model_id
optional
Used to identify an existing deployment when updating; empty means create new.
model_provider
optional
hugging_faceModel provider.
model_slug
optional
mistral/mistral-7b-instruct-v3Model identifier (e.g. Hugging Face slug).
workload_config
optional
Workload-specific configuration (e.g. ISL/OSL in future).
name
required
new-dedicated-inferenceName of the Dedicated Inference. Must be unique within the team.
region
required
atl1DigitalOcean region where the Dedicated Inference is hosted.
version
required
1Spec version.
vpc
required
Show child properties
uuid
required
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID for the Dedicated Inference.
Request: /v2/dedicated-inferences/{dedicated_inference_id}
{
"access_tokens": {
"hugging_face_token": "$HF_TOKEN"
},
"spec": {
"enable_public_endpoint": true,
"model_deployments": [],
"name": "new-dedicated-inference",
"region": "atl1",
"version": 1,
"vpc": {
"uuid": "997615ce-132d-4bae-9270-9ee21b395e5d"
}
}
}curl -i -X PATCH "https://api.digitalocean.com/v2/dedicated-inferences/6b5c619c-359c-44ca-87e2-47e98170c01d" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $DO_TOKEN" \
-d '{
"spec": {
"name": "renamed-dedicated-inference",
"region": "atl1",
"vpc": { "uuid": "997615ce-132d-4bae-9270-9ee21b395e5d" },
"model_deployments": [{
"model_slug": "mistral/mistral-7b-instruct-v3",
"accelerator_slug": "gpu-mi300x1-192gb",
"node_count": 3
}]
},
"access_tokens": { "hugging_face_token": "$HF_TOKEN" }
}'Responses
202
Dedicated Inference update accepted for processing (202). Response contains only the dedicated_inference; no token is returned.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
dedicated_inference
optional
A Dedicated Inference instance.
Show child properties
created_at
optional read-only
2024-01-09T20:44:32ZWhen the Dedicated Inference was created.
endpoints
optional read-only
Show child properties
private_endpoint_fqdn
optional
https://b4bfug4jc41kts2ro54if91eo-private-dedicated-inference.do-infra.aiPrivate VPC FQDN of the Dedicated Inference instance.
public_endpoint_fqdn
optional
https://b4bfug4jc41kts2ro54if91eo-public-dedicated-inference.do-infra.aiPublic FQDN of the Dedicated Inference instance.
id
optional read-only
6b5c619c-359c-44ca-87e2-47e98170c01dUnique ID of the Dedicated Inference.
pending_deployment_spec
optional
Pending deployment when status is provisioning or updating.
Show child properties
created_at
optional
2024-01-09T20:44:32Zenable_public_endpoint
optional
Whether to expose a public LLM endpoint.
id
optional
7c6d729d-360d-44db-88e3-58e98281d12eDeployment UUID.
model_deployments
optional
At least one model deployment is required.
Show child properties
accelerators
optional
Accelerator configuration for this deployment.
model_id
optional
Used to identify an existing deployment when updating; empty means create new.
model_provider
optional
hugging_faceModel provider.
model_slug
optional
mistral/mistral-7b-instruct-v3Model identifier (e.g. Hugging Face slug).
workload_config
optional
Workload-specific configuration (e.g. ISL/OSL in future).
name
optional
new-dedicated-inferenceName of the Dedicated Inference. Must be unique within the team.
status
optional
provisioningupdated_at
optional
2024-01-09T20:44:32Zversion
optional
1Spec version.
vpc
optional
Show child properties
uuid
required
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID for the Dedicated Inference.
region
optional read-only
atl1DigitalOcean region where the Dedicated Inference is hosted.
spec
optional
Structured configuration for a Dedicated Inference deployment.
Show child properties
enable_public_endpoint
required
Whether to expose a public LLM endpoint.
model_deployments
required
At least one model deployment is required.
Show child properties
accelerators
optional
Accelerator configuration for this deployment.
model_id
optional
Used to identify an existing deployment when updating; empty means create new.
model_provider
optional
hugging_faceModel provider.
model_slug
optional
mistral/mistral-7b-instruct-v3Model identifier (e.g. Hugging Face slug).
workload_config
optional
Workload-specific configuration (e.g. ISL/OSL in future).
name
required
new-dedicated-inferenceName of the Dedicated Inference. Must be unique within the team.
region
required
atl1DigitalOcean region where the Dedicated Inference is hosted.
version
required
1Spec version.
vpc
required
Show child properties
uuid
required
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID for the Dedicated Inference.
status
optional read-only
activeCurrent state of the Dedicated Inference.
updated_at
optional read-only
2024-01-09T20:44:32ZWhen the Dedicated Inference was last updated.
vpc_uuid
optional read-only
997615ce-132d-4bae-9270-9ee21b395e5dVPC UUID of the Dedicated Inference.
401
Authentication failed due to invalid credentials.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
404
The resource was not found.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
429
The API rate limit has been exceeded.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
500
There was a server error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
default
There was an unexpected error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
Response
{
"dedicated_inference": {
"created_at": "2024-01-09T20:44:32Z",
"endpoints": {
"private_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-private-dedicated-inference.do-infra.ai",
"public_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-public-dedicated-inference.do-infra.ai"
},
"id": "6b5c619c-359c-44ca-87e2-47e98170c01d",
"pending_deployment_spec": {
"created_at": "2024-01-09T20:44:32Z",
"enable_public_endpoint": true,
"id": "7c6d729d-360d-44db-88e3-58e98281d12e",
"model_deployments": [],
"name": "new-dedicated-inference",
"status": "provisioning",
"updated_at": "2024-01-09T20:44:32Z",
"version": 1
},
"region": "atl1",
"spec": {
"enable_public_endpoint": true,
"model_deployments": [],
"name": "new-dedicated-inference",
"region": "atl1",
"version": 1
},
"status": "active",
"updated_at": "2024-01-09T20:44:32Z",
"vpc_uuid": "997615ce-132d-4bae-9270-9ee21b395e5d"
}
}{
"id": "unauthorized",
"message": "Unable to authenticate you."
}{
"id": "not_found",
"message": "The resource you requested could not be found."
}{
"id": "too_many_requests",
"message": "API rate limit exceeded."
}{
"id": "server_error",
"message": "Unexpected server-side error"
}{
"id": "example_error",
"message": "some error message"
}DELETE Delete a Dedicated Inference
/v2/dedicated-inferences/{dedicated_inference_id}
Authorizations:
bearer_auth
(1 scope)
OAuth Authentication
In order to interact with the DigitalOcean API, you or your application must authenticate.
The DigitalOcean API handles this through OAuth, an open standard for authorization. OAuth allows you to delegate access to your account. Scopes can be used to grant full access, read-only access, or access to a specific set of endpoints.
You can generate an OAuth token by visiting the Apps & API section of the DigitalOcean control panel for your account.
An OAuth token functions as a complete authentication request. In effect, it acts as a substitute for a username and password pair.
Because of this, it is absolutely essential that you keep your OAuth tokens secure. In fact, upon generation, the web interface will only display each token a single time in order to prevent the token from being compromised.
DigitalOcean access tokens begin with an identifiable prefix in order to distinguish them from other similar tokens.
dop_v1_for personal access tokens generated in the control paneldoo_v1_for tokens generated by applications using the OAuth flowdor_v1_for OAuth refresh tokens
Scopes
Scopes act like permissions assigned to an API token. These permissions determine what actions the token can perform. You can create API tokens that grant read-only access, full access, or limited access to specific endpoints by using custom scopes.
Generally, scopes are designed to match HTTP verbs and common CRUD operations (Create, Read, Update, Delete).
| HTTP Verb | CRUD Operation | Scope |
|---|---|---|
| GET | Read | <resource>:read |
| POST | Create | <resource>:create |
| PUT/PATCH | Update | <resource>:update |
| DELETE | Delete | <resource>:delete |
For example, creating a new Droplet by making a POST request to the
/v2/droplets endpoint requires the droplet:create scope while
listing Droplets by making a GET request to the /v2/droplets
endpoint requires the droplet:read scope.
Each endpoint below specifies which scope is required to access it when using custom scopes.
How to Authenticate with OAuth
In order to make an authenticated request, include a bearer-type
Authorization header containing your OAuth token. All requests must be
made over HTTPS.
Authenticate with a Bearer Authorization Header
curl -X $HTTP_METHOD -H "Authorization: Bearer $DIGITALOCEAN_TOKEN" "https://api.digitalocean.com/v2/$OBJECT"
Delete an existing Dedicated Inference. Send a DELETE request to
/v2/dedicated-inferences/{dedicated_inference_id}. The response 202 Accepted
indicates the request was accepted for processing.
Path Parameters
dedicated_inference_id
required
6b5c619c-359c-44ca-87e2-47e98170c01dA unique identifier for a Dedicated Inference instance.
Request: /v2/dedicated-inferences/{dedicated_inference_id}
curl -i -X DELETE "https://api.digitalocean.com/v2/dedicated-inferences/6b5c619c-359c-44ca-87e2-47e98170c01d" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $DO_TOKEN"Responses
202
This does not indicate the success or failure of any operation, just that the request has been accepted for processing.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
401
Authentication failed due to invalid credentials.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
404
The resource was not found.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
429
The API rate limit has been exceeded.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
500
There was a server error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
default
There was an unexpected error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
Response
{
"id": "unauthorized",
"message": "Unable to authenticate you."
}{
"id": "not_found",
"message": "The resource you requested could not be found."
}{
"id": "too_many_requests",
"message": "API rate limit exceeded."
}{
"id": "server_error",
"message": "Unexpected server-side error"
}{
"id": "example_error",
"message": "some error message"
}GET List Dedicated Inference Accelerators
/v2/dedicated-inferences/{dedicated_inference_id}/accelerators
Authorizations:
bearer_auth
(1 scope)
OAuth Authentication
In order to interact with the DigitalOcean API, you or your application must authenticate.
The DigitalOcean API handles this through OAuth, an open standard for authorization. OAuth allows you to delegate access to your account. Scopes can be used to grant full access, read-only access, or access to a specific set of endpoints.
You can generate an OAuth token by visiting the Apps & API section of the DigitalOcean control panel for your account.
An OAuth token functions as a complete authentication request. In effect, it acts as a substitute for a username and password pair.
Because of this, it is absolutely essential that you keep your OAuth tokens secure. In fact, upon generation, the web interface will only display each token a single time in order to prevent the token from being compromised.
DigitalOcean access tokens begin with an identifiable prefix in order to distinguish them from other similar tokens.
dop_v1_for personal access tokens generated in the control paneldoo_v1_for tokens generated by applications using the OAuth flowdor_v1_for OAuth refresh tokens
Scopes
Scopes act like permissions assigned to an API token. These permissions determine what actions the token can perform. You can create API tokens that grant read-only access, full access, or limited access to specific endpoints by using custom scopes.
Generally, scopes are designed to match HTTP verbs and common CRUD operations (Create, Read, Update, Delete).
| HTTP Verb | CRUD Operation | Scope |
|---|---|---|
| GET | Read | <resource>:read |
| POST | Create | <resource>:create |
| PUT/PATCH | Update | <resource>:update |
| DELETE | Delete | <resource>:delete |
For example, creating a new Droplet by making a POST request to the
/v2/droplets endpoint requires the droplet:create scope while
listing Droplets by making a GET request to the /v2/droplets
endpoint requires the droplet:read scope.
Each endpoint below specifies which scope is required to access it when using custom scopes.
How to Authenticate with OAuth
In order to make an authenticated request, include a bearer-type
Authorization header containing your OAuth token. All requests must be
made over HTTPS.
Authenticate with a Bearer Authorization Header
curl -X $HTTP_METHOD -H "Authorization: Bearer $DIGITALOCEAN_TOKEN" "https://api.digitalocean.com/v2/$OBJECT"
List all accelerators (GPUs) in use by a Dedicated Inference instance. Send a
GET request to /v2/dedicated-inferences/{dedicated_inference_id}/accelerators.
Optionally filter by slug and use page/per_page for pagination.
Path Parameters
dedicated_inference_id
required
6b5c619c-359c-44ca-87e2-47e98170c01dA unique identifier for a Dedicated Inference instance.
Query Parameters
per_page
1 – 200 optional
20Number of items returned per page
Default:20page
>= 1 optional
1Which 'page' of paginated results to return.
Default:1slug
optional
gpu-mi300x1-192gbFilter accelerators by GPU slug.
Request: /v2/dedicated-inferences/{dedicated_inference_id}/accelerators
curl -i -X GET "https://api.digitalocean.com/v2/dedicated-inferences/6b5c619c-359c-44ca-87e2-47e98170c01d/accelerators" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $DO_TOKEN"Responses
200
The response will be a JSON object with a key called accelerators. This will be set to an array of accelerator objects. Pagination uses the same links and meta structure as other list endpoints.
accelerators. This will be set to an array of accelerator objects. Pagination uses the same links and meta structure as other list endpoints.ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
accelerators
optional
Show child properties
created_at
optional read-only
2024-01-09T20:44:32Zid
optional read-only
5b5c619c-359c-44ca-87e2-47e98170c02fUnique ID of the accelerator.
name
optional read-only
mi300x1-ghfpsfName of the accelerator.
role
optional read-only
prefill_decodeRole of the accelerator (e.g. prefill_decode).
slug
optional read-only
gpu-mi300x1-192gbDigitalOcean GPU slug.
status
optional read-only
activeStatus of the accelerator.
links
optional
Show child properties
pages
optional
Forward Links
last
optional
https://api.digitalocean.com/v2/images?page=2URI of the last page of the results.
next
optional
https://api.digitalocean.com/v2/images?page=2URI of the next page of the results.
Backward Links
first
optional
https://api.digitalocean.com/v2/images?page=1URI of the first page of the results.
prev
optional
https://api.digitalocean.com/v2/images?page=1URI of the previous page of the results.
meta
required
401
Authentication failed due to invalid credentials.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
404
The resource was not found.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
429
The API rate limit has been exceeded.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
500
There was a server error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
default
There was an unexpected error.
ratelimit-limit
The default limit on number of requests that can be made per hour and per minute. Current rate limits are 5000 requests per hour and 250 requests per minute.
ratelimit-remaining
The number of requests in your hourly quota that remain before you hit your request limit. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
ratelimit-reset
The time when the oldest request will expire. The value is given in Unix epoch time. See https://docs.digitalocean.com/reference/api/reference/#rate-limit for information about how requests expire.
application/json
id
required
not_foundA short identifier corresponding to the HTTP status code returned. For example, the ID for a response returning a 404 status code would be "not_found."
message
required
The resource you were accessing could not be found.A message providing additional information about the error, including details to help resolve it when possible.
request_id
optional
4d9d8375-3c56-4925-a3e7-eb137fed17e9Optionally, some endpoints may include a request ID that should be provided when reporting bugs or opening support tickets to help identify the issue.
Response
{
"accelerators": [
{
"created_at": "2024-01-09T20:44:32Z",
"id": "5b5c619c-359c-44ca-87e2-47e98170c02f",
"name": "mi300x1-ghfpsf",
"role": "prefill_and_decode",
"slug": "gpu-mi300x1-192gb",
"status": "active"
}
],
"links": {
[...]
